<?
require_once '../core/system.php';
echo only_reg();
echo ban();
$header = 'Подарок!';
require_once H.'core/head.php';
switch($act) {
case '1':
if($user[podarok] == 0){
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']+2500)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `podarok` = '1' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Подарок получен!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = 'Вы уже получили подарок!';
exit();
}
break;
case '2':
if($user[podarok] == 0){
mysql_query("UPDATE `user` SET `sila` = '".($user['sila']+100)."', `max_health` = '".($user['max_health']+100)."', `lovk` = '".($user['lovk']+100)."', `zashit` = '".($user['zashit']+100)."', `max_mana` = '".($user['max_mana']+100)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `podarok` = '1' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Подарок получен!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = 'Вы уже получили подарок!';
exit();
}
break;
default;
echo "<div class='player center blue'>Получите подарок и прокачайте персонажа! (подарок на выбор)</div>";
echo "<div class='mini-line'></div>";
echo "<div class='player center'>";
echo "<b class='dgreen'>Золотой Купон</b><br><img src='/images/icon/gold.png'> 2500 золота за красивые глазки!<br>";
echo "</div>";
echo "<div class='player center'>";
echo "<a class='btn' href='?act=1'><span class='end'><span class='label'>Получить подарок</span></span></a>";
echo "</div>";
echo "<div class='dot-line'></div>";
echo "<div class='player center'>";
echo "<b class='dgreen'>Благословление</b><br>+ 100 ко всем параметрам!<br>";
echo "</div>";
echo "<div class='player center'>";
echo "<a class='btn' href='?act=2'><span class='end'><span class='label'>Получить подарок</span></span></a>";
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<ul class='hint'><li>Возможно получить только 1 подарок!</li><li>Подарки будут открываться по праздникам!</li><li>Новым игрокам бонус выдается не смотря на то, что нет праздников!</li></ul>";
}
require_once H.'core/foot.php';
?>